package net.yyc.common.ding.enums;

import lombok.AllArgsConstructor;
import lombok.Getter;

/**
 * <p>
 * 结算相关字典
 */
@Getter
@AllArgsConstructor
public enum DingEnum {

	//灵工认证状态
	CER_STATUS_1(1, "认证成功"),
	CER_STATUS_2(2, "认证失败"),
	CER_STATUS_3(3, "认证中"),
	CER_STATUS_4(4, "未认证"),
	//settleStatus结算状态
	SETTLE_STATUS_SUCCESS(1,"结算成功"),
	SETTLE_STATUS_FAIL(2,"结算失败"),
	SETTLE_STATUS_SUBMIT(3,"全部提交"),
	SETTLE_STATUS_NO(4,"未结算"),
	SETTLE_STATUS_PART(5,"部分提交"),
	SETTLE_STATUS_WAIT(9,"待结算"),
	SETTLE_STATUS_OFFLINE(13,"线下兑现"),


	NOTE_STATUS_NO(0,"未结算"), // 未提交/提交失败
	NOTE_STATUS_SUCCESS(1,"结算成功"),
	NOTE_STATUS_FAIL(2,"结算失败"),  //提交成功  人力家返回结算失败
	NOTE_STATUS_SUBMIT(3,"已提交"),
	NOTE_STATUS_OFFLINE(13,"线下兑现"),
//	NOTE_STATUS_WAIT(9,"待认证"),



	;


	/**
	 * 类型
	 */
	private Integer type;

	/**
	 * 描述
	 */
	private String description;

}
